OpenNMS API 1.2.9

## org.opennms.netmgt.config.collectd
Class Service

    java.lang.Object
      org.opennms.netmgt.config.collectd.Service

All Implemented Interfaces:
  java.io.Serializable

public class Service
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` `_has_interval` keeps track of state for field: _interval
`private long` `_interval`
`private java.lang.String` `_name`
`private java.util.ArrayList` `_parameterList`
`private java.lang.String` `_status`
`private java.lang.String` `_userDefined`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Service()`

Method Summary
`void` `addParameter(int index, Parameter vParameter)`
`void` `addParameter(Parameter vParameter)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearParameter()`
`java.util.Enumeration` `enumerateParameter()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`long` `getInterval()` Returns the value of field 'interval'.
`java.lang.String` `getName()` Returns the value of field 'name'.
`Parameter[]` `getParameter()`
`Parameter` `getParameter(int index)`
`java.util.Collection` `getParameterCollection()`
`int` `getParameterCount()`
`java.lang.String` `getStatus()` Returns the value of field 'status'.
`java.lang.String` `getUserDefined()` Returns the value of field 'userDefined'.
`boolean` `hasInterval()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeParameter(Parameter vParameter)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setInterval(long interval)` Sets the value of field 'interval'.
`void` `setName(java.lang.String name)` Sets the value of field 'name'.
`void` `setParameter(int index, Parameter vParameter)`
`void` `setParameter(Parameter[] parameterArray)`
`void` `setParameterCollection(java.util.Collection vParameter)`
`void` `setStatus(java.lang.String status)` Sets the value of field 'status'.
`void` `setUserDefined(java.lang.String userDefined)` Sets the value of field 'userDefined'.
`static Service` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    private java.lang.String _name

### _interval

    private long _interval

### _has_interval

    private boolean _has_interval

  keeps track of state for field: _interval

### _userDefined

    private java.lang.String _userDefined

### _status

    private java.lang.String _status

### _parameterList

    private java.util.ArrayList _parameterList

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Service

    public Service()

Method Detail

### addParameter

    public void addParameter(Parameter vParameter)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vParameter` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addParameter

    public void addParameter(int index,
                             Parameter vParameter)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vParameter` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearParameter

    public void clearParameter()

### enumerateParameter

    public java.util.Enumeration enumerateParameter()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getInterval

    public long getInterval()

  Returns the value of field 'interval'.

  Returns:
    the value of field 'interval'.

### getName

    public java.lang.String getName()

  Returns the value of field 'name'.

  Returns:
    the value of field 'name'.

### getParameter

    public Parameter getParameter(int index)
                           throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getParameter

    public Parameter[] getParameter()

### getParameterCollection

    public java.util.Collection getParameterCollection()

### getParameterCount

    public int getParameterCount()

### getStatus

    public java.lang.String getStatus()

  Returns the value of field 'status'.

  Returns:
    the value of field 'status'.

### getUserDefined

    public java.lang.String getUserDefined()

  Returns the value of field 'userDefined'.

  Returns:
    the value of field 'userDefined'.

### hasInterval

    public boolean hasInterval()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeParameter

    public boolean removeParameter(Parameter vParameter)

  Parameters:
    `vParameter` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setInterval

    public void setInterval(long interval)

  Sets the value of field 'interval'.

  Parameters:
    `interval` - the value of field 'interval'.

### setName

    public void setName(java.lang.String name)

  Sets the value of field 'name'.

  Parameters:
    `name` - the value of field 'name'.

### setParameter

    public void setParameter(int index,
                             Parameter vParameter)
                      throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vParameter` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setParameter

    public void setParameter(Parameter[] parameterArray)

  Parameters:
    `parameterArray` -

### setParameterCollection

    public void setParameterCollection(java.util.Collection vParameter)

  Parameters:
    `vParameter` -

### setStatus

    public void setStatus(java.lang.String status)

  Sets the value of field 'status'.

  Parameters:
    `status` - the value of field 'status'.

### setUserDefined

    public void setUserDefined(java.lang.String userDefined)

  Sets the value of field 'userDefined'.

  Parameters:
    `userDefined` - the value of field 'userDefined'.

### unmarshal

    public static Service unmarshal(java.io.Reader reader)
                             throws org.exolab.castor.xml.MarshalException,
                                    org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.